Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.jaxp
Class SAXParserImpl

    java.lang.Object
      javax.xml.parsers.SAXParser
          weblogic.apache.xerces.jaxp.SAXParserImpl

All Implemented Interfaces:
  JAXPConstants

    public class SAXParserImpl

extends SAXParser
implements JAXPConstants

This is the implementation specific class for the `javax.xml.parsers.SAXParser`.

Field Summary

Fields inherited from interface weblogic.apache.xerces.jaxp.JAXPConstants
`JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, W3C_XML_SCHEMA`

Method Summary
`Parser` | `getParser()`
`Object` | `getProperty(String name)` returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.
`XMLReader` | `getXMLReader()` Returns the XMLReader that is encapsulated by the implementation of this class.
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`void` | `setProperty(String name, Object value)` Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

Methods inherited from class javax.xml.parsers.SAXParser
`getSchema, isXIncludeAware, parse, parse, parse, parse, parse, parse, parse, parse, parse, parse, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getParser

    public Parser getParser()
                     throws SAXException

  Specified by:
    `getParser` in class `SAXParser`
  Throws:
    `SAXException`

### getXMLReader

    public XMLReader getXMLReader()

  Returns the XMLReader that is encapsulated by the implementation of this class.

  Specified by:
    `getXMLReader` in class `SAXParser`

### isNamespaceAware

    public boolean isNamespaceAware()

  Specified by:
    `isNamespaceAware` in class `SAXParser`

### isValidating

    public boolean isValidating()

  Specified by:
    `isValidating` in class `SAXParser`

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  Sets the particular property in the underlying implementation of org.xml.sax.XMLReader.

  Specified by:
    `setProperty` in class `SAXParser`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### getProperty

    public Object getProperty(String name)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  returns the particular property requested for in the underlying implementation of org.xml.sax.XMLReader.

  Specified by:
    `getProperty` in class `SAXParser`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD